CapyDB Docs
ReferenceAPI

Previews

Disposable preview/branch databases.

GET
/v1/projects/{projectID}/preview-databases

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Path Parameters

projectID*string

Project id.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/preview-databases"
{  "preview_databases": [    {      "created_at": "2019-08-24T14:15:22Z",      "database_name": "string",      "direct_port": 0,      "id": "string",      "last_error": "string",      "mode": "string",      "name": "string",      "pooled_port": 0,      "project_id": "string",      "public_host": "string",      "role_name": "string",      "source_backup_key": "string",      "source_database": "string",      "source_kind": "string",      "source_restore_time": "2019-08-24T14:15:22Z",      "ssl_mode": "string",      "state": "string",      "ttl_expires_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
POST
/v1/projects/{projectID}/preview-databases

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Path Parameters

projectID*string

Project id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/preview-databases" \  -H "Content-Type: application/json" \  -d '{}'
{  "job": {    "attempts": 0,    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": "string",    "cluster_id": "string",    "completed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "error": "string",    "id": "string",    "last_exit_code": 0,    "last_stderr": "string",    "last_stdout": "string",    "locked_resource": "string",    "max_attempts": 0,    "organization_id": "string",    "preview_database_id": "string",    "project_id": "string",    "retry_classification": "string",    "started_at": "2019-08-24T14:15:22Z",    "state": "pending",    "type": "string",    "updated_at": "2019-08-24T14:15:22Z"  },  "preview": {    "created_at": "2019-08-24T14:15:22Z",    "database_name": "string",    "direct_port": 0,    "id": "string",    "last_error": "string",    "mode": "string",    "name": "string",    "pooled_port": 0,    "project_id": "string",    "public_host": "string",    "role_name": "string",    "source_backup_key": "string",    "source_database": "string",    "source_kind": "string",    "source_restore_time": "2019-08-24T14:15:22Z",    "ssl_mode": "string",    "state": "string",    "ttl_expires_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
DELETE
/v1/preview-databases/{previewID}

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Path Parameters

previewID*string

Preview database id.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/preview-databases/string"
{  "job": {    "attempts": 0,    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": "string",    "cluster_id": "string",    "completed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "error": "string",    "id": "string",    "last_exit_code": 0,    "last_stderr": "string",    "last_stdout": "string",    "locked_resource": "string",    "max_attempts": 0,    "organization_id": "string",    "preview_database_id": "string",    "project_id": "string",    "retry_classification": "string",    "started_at": "2019-08-24T14:15:22Z",    "state": "pending",    "type": "string",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
POST
/v1/preview-databases/{previewID}/reset

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Path Parameters

previewID*string

Preview database id.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/preview-databases/string/reset"
{  "job": {    "attempts": 0,    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": "string",    "cluster_id": "string",    "completed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "error": "string",    "id": "string",    "last_exit_code": 0,    "last_stderr": "string",    "last_stdout": "string",    "locked_resource": "string",    "max_attempts": 0,    "organization_id": "string",    "preview_database_id": "string",    "project_id": "string",    "retry_classification": "string",    "started_at": "2019-08-24T14:15:22Z",    "state": "pending",    "type": "string",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
POST
/v1/preview-databases/{previewID}/extend

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Path Parameters

previewID*string

Preview database id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/preview-databases/string/extend" \  -H "Content-Type: application/json" \  -d '{}'
{  "preview": {    "created_at": "2019-08-24T14:15:22Z",    "database_name": "string",    "direct_port": 0,    "id": "string",    "last_error": "string",    "mode": "string",    "name": "string",    "pooled_port": 0,    "project_id": "string",    "public_host": "string",    "role_name": "string",    "source_backup_key": "string",    "source_database": "string",    "source_kind": "string",    "source_restore_time": "2019-08-24T14:15:22Z",    "ssl_mode": "string",    "state": "string",    "ttl_expires_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}